PETSc version 3.17.4
Fix/Edit manual page

# DMSetType

Sets the particular implementation for a transform.

### Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformSetType(DMPlexTransform tr, DMPlexTransformType method)

Collective on tr

### Input Parameters

| tr | - The transform
| method | - The name of the transform type

### Options Database Key

| -dm_plex_transform_type <type> | - Sets the transform type; use -help for a list of available types

### Notes

See "petsc/include/petscdmplextransform.h" for available transform types

### See Also

DMPlexTransformGetType(), DMPlexTransformCreate()

### Level

intermediate

### Location

src/dm/impls/plex/transform/interface/plextransform.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages